%global modname TGScheduler

Name:             python-tgscheduler
Version:          1.6.3
Release:          8%{?dist}
Summary:          Turbogears2 Scheduler

Group:            Development/Languages
License:          MIT
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/T/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python2-devel
BuildRequires:    python-setuptools
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-dateutil15
%else
BuildRequires:    python-dateutil
%endif

%if %{?rhel}%{!?rhel:0} >= 6
Requires:    python-dateutil15
%else
Requires:    python-dateutil
%endif

%description
This scheduler package is based on the TurboGears 1 built-in scheduler
which is based on Kronos by Irmen de Jong. The scheduler makes it easy to
have one-time or recurring tasks run as needed.

%prep
%setup -q -n %{modname}-%{version}
%{__rm} -rf TGScheduler.egg-info

%build
%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test

%files
%doc

%{python_sitelib}/tgscheduler
%{python_sitelib}/%{modname}-%{version}-*.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 27 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-4
- Changed files section to include dirs, not just files.

* Thu Apr 26 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-3
- A little more specific in the files section
- Removed bundled egg-info in the prep section

* Wed Apr 25 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-2
- Require python-dateutil15 on epel

* Wed Apr 25 2012 Ralph Bean <rbean@redhat.com> - 1.6.3-1
- initial package for Fedora
